### Method

# SpiceClientGLib MainChannel clipboard_selection_notify

since: 0.35

#### Declaration [src]

    void
    spice_main_channel_clipboard_selection_notify (
      SpiceMainChannel* channel,
      guint selection,
      guint32 type,
      const guchar* data,
      size_t size
    )

#### Description [src]

Send the clipboard data to the guest.

Available since: 0.35

#### Parameters

`selection`

  Type: `guint`

  One of the clipboard #VD_AGENT_CLIPBOARD_SELECTION_*.

`type`

  Type: `guint32`

  A #VD_AGENT_CLIPBOARD type.

`data`

  Type: An array of `guchar`

  Clipboard data.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the method.

`size`

  Type: `size_t`

  Data length in bytes.